#!/bin/bash

date=`date '+%Y-%m-%d %H:%M:%S.%3N'`
echo "time: ${date}"

start_cmd="rostopic pub /cmd_vel geometry_msgs/Twist \"{ linear: {
  x: 0.05,
  y: 0.0,
  z: 0.0 },
angular: {
  x: 0.0,
  y: 0.0,
  z: 0.0 } } \""
eval ${start_cmd}

date=`date '+%Y-%m-%d %H:%M:%S.%3N'`
echo "time: ${date}"
echo "sleeping..."
sleep 1s

date=`date '+%Y-%m-%d %H:%M:%S.%3N'`
echo "time: ${date}"

stop_cmd="rostopic pub /cmd_vel geometry_msgs/Twist \"{ linear: {
  x: 0.0,
  y: 0.0,
  z: 0.0 },
angular: {
  x: 0.0,
  y: 0.0,
  z: 0.0 } } \""
  
eval ${stop_cmd}

date=`date '+%Y-%m-%d %H:%M:%S'`
echo "time: ${date}"

