/*
 * merged_pcd.cpp
 *
 *  Created on: 2021/12/21
 *      Author: Tsuyoshi Anazawa
 *      Outline: Merge pcd files.
 */
#include <iostream>
#include <string>
#include <vector>
#include <fstream>
#include <pcl/io/pcd_io.h>
#include <pcl/io/io.h>
#include <pcl/point_types.h>

pcl::PointCloud<pcl::PointXYZ> merge_pointcloud(pcl::PointCloud<pcl::PointXYZ>* pcd1, pcl::PointCloud<pcl::PointXYZ>* pcd2)
{
	pcl::PointCloud<pcl::PointXYZ> pcd_merged;
	pcd_merged = *pcd1;
	pcd_merged += *pcd2;

	return pcd_merged;
}

bool checkFileExist(const std::string& str)
{
	std::ifstream ifs(str);
	return ifs.is_open();
}

int main(int argc, char* argv[])
{
	std::string path = "~/.ros/LiDAR";
	std::string filePath;
	long seq_num = 200000;
	std::string ext = ".pcd";
	filePath = path +std::to_string(seq_num) + ext;

	std::vector<pcl::PointCloud<pcl::PointXYZ>*> pcd;
	if(checkFileExist){
	}
//	pcl::PointCloud<pcl::PointXYZ>* pcd1(new pcl::PointCloud<pcl::PointXYZ>);
//	pcl::PointCloud<pcl::PointXYZ>* pcd2(new pcl::PointCloud<pcl::PointXYZ>);

//	pcl::io::loadPCDFile(argv[1], *pcd1);
//	pcl::io::loadPCDFile(argv[2], *pcd2);

//	pcl::io::savePCDFileBinary("merged.pcd", merge_pointcloud(pcd1, pcd2));

	return true;
}
