/*
 * test.cpp
 *
 *  Created on: 2022/11/18
 *      Author: T.Anazawa
 */

#include <ros/ros.h>
#include <std_msgs/String.h>


int main(int argc, char** argv)
{
	ros::init(argc, argv, "string_publisher");
	ros::NodeHandle nh_;
	ros::Publisher string_pub_;

	ros::Rate r(1);

	string_pub_ = nh_.advertise<std_msgs::String>("/private/echo", 10);
	static const std::string moji = "hello";

	while(nh_.ok()){
		std_msgs::String msg;
		msg.data = moji;

		string_pub_.publish(msg);

		ROS_INFO("%s", msg.data.c_str());

		r.sleep();
	}
	return 0;
}
